View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000568aMuleExternal Connpublic2005-09-04 10:372005-10-24 11:28
ReporterFab-Ko 
Assigned ToXaignar 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000568: amulegui crash sometimes
DescriptionMy CVS is from 3. Sept. 2005

Sometimes my amulegui, connected zu amuled (same CVS), crashes with this messages:
--------------------
/usr/lib/gcc/i686-pc-linux-gnu/3.4.4/include/g++-v3/debug/safe_iterator.h:178:
    error: attempt to dereference a singular iterator.

Objects involved in the operation:
iterator "this" @ 0x0xbfaf6060 {
type = N11__gnu_debug14_Safe_iteratorIN10__gnu_norm14_List_iteratorIP13CUpDownCl ientEEN15__gnu_debug_def4listIS4_SaIS4_EEEEE (mutable iterator);
  state = singular;
  references sequence with type `N15__gnu_debug_def4listIP13CUpDownClientSaIS2_E EE' @ 0x0xbfaf6060
}
Abgebrochen
-------------
One time it crashes by aborting a download and another it crashes by looking statistics.
And sometimes i've done nothing.
Additional InformationGentoo Linux
Useflags GUI-PC:
+X -amuled -debug +gtk2 +kad +nls -nosystray -optimize +remote +remote-gui -stats -unicode

Useflags amuled-system:
+X +amuled -debug +gtk2 +kad +nls -nosystray +optimize +remote +remote-gui -stats +unicode
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001267)
Kry (manager)
2005-09-06 11:00

I want a backtrace :)
(0001271)
Fab-Ko (reporter)
2005-09-06 21:52

http://forum.amule.org/thread.php?sid=&postid=39985#post39985 [^]

Here you have your Backtrace... ;)
(0001272)
Kry (manager)
2005-09-06 21:59

Now I want 1 million dollars.
(0001274)
Fab-Ko (reporter)
2005-09-06 23:15

This is a problem. ;)
Ask me again in a few years, maybe then I've so much money.
(0001346)
Xaignar (manager)
2005-10-24 11:28

Lfroen has committed a patch a while back (r5403), which should fix this. Please let us know if the problem persists.

Cheers.

- Issue History
Date Modified Username Field Change
2005-09-04 10:37 Fab-Ko New Issue
2005-09-06 11:00 Kry Note Added: 0001267
2005-09-06 21:52 Fab-Ko Note Added: 0001271
2005-09-06 21:59 Kry Note Added: 0001272
2005-09-06 23:15 Fab-Ko Note Added: 0001274
2005-10-24 11:28 Xaignar Status new => resolved
2005-10-24 11:28 Xaignar Fixed in Version => CVS
2005-10-24 11:28 Xaignar Resolution open => fixed
2005-10-24 11:28 Xaignar Assigned To => Xaignar
2005-10-24 11:28 Xaignar Note Added: 0001346


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker